package routers

import (
	"ColdVerify_server/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	beego.Router("/UpFileToken", &controllers.UpFileController{}, "*:ConfigUpFileToken") // 上传文件

	beego.Router("/Task/List", &controllers.TaskController{}, "*:List")                                   // 任务列表
	beego.Router("/Task/Get", &controllers.TaskController{}, "*:Get")                                     // 获取任务
	beego.Router("/Task/Add", &controllers.TaskController{}, "*:Add")                                     // 添加任务
	beego.Router("/Task/Up", &controllers.TaskController{}, "*:Up")                                       // 编辑任务
	beego.Router("/Task/Del", &controllers.TaskController{}, "*:Del")                                     // 删除任务
	beego.Router("/Task/Copy", &controllers.TaskController{}, "*:Copy")                                   // 复制任务
	beego.Router("/Task/UpCollectionState", &controllers.TaskController{}, "*:UpCollectionState")         // 修改任务状态
	beego.Router("/Task/UpDeliveryState", &controllers.TaskController{}, "*:UpDeliveryState")             // 修改交付审核状态
	beego.Router("/Task/AddData_Tool", &controllers.TaskController{}, "*:AddData_Tool")                   // 1.0 添加任务数据
	beego.Router("/Task/ReceiptInfoCollection", &controllers.TaskController{}, "*:ReceiptInfoCollection") // 接收信息采集
	beego.Router("/Task/SyncInfoCollection", &controllers.TaskController{}, "*:SyncInfoCollection")       // 同步信息采集
	beego.Router("/Task/UpSchemeState", &controllers.TaskController{}, "*:UpSchemeState")                 // 修改验证方案状态
	beego.Router("/Task/EnterArea", &controllers.TaskController{}, "*:EnterArea")                         // 进场
	beego.Router("/Task/StartVerify", &controllers.TaskController{}, "*:StartVerify")                     // 开始验证-实施开始时间
	beego.Router("/Task/UpReportingState", &controllers.TaskController{}, "*:UpReportingState")           // 修改验证报告状态
	beego.Router("/Task/AuditRecordList", &controllers.TaskController{}, "*:AuditRecordList")             // 审核记录
	beego.Router("/Task/GetTaskUserList", &controllers.TaskController{}, "*:GetTaskUserList")             // 获取任务负责人列表
	beego.Router("/Task/Stat", &controllers.TaskController{}, "*:Stat")                                   // 报告统计
	beego.Router("/Task/Stat_Excel", &controllers.TaskController{}, "*:Stat_Excel")                       // 报告统计-excel
	beego.Router("/Task/StatisticalRanking", &controllers.TaskController{}, "*:StatisticalRanking")       // 报告统计-excel
	beego.Router("/Task/GenT_report_number", &controllers.TaskController{}, "*:GenT_report_number")       // 生成报告编号

	// 日志
	beego.Router("/TaskLogs/List", &controllers.TaskController{}, "*:Logs_List")

	// 提取数据
	beego.Router("/TaskData/Extract_TaskData", &controllers.TaskDataController{}, "*:Extract_TaskData_Back")
	beego.Router("/TaskData/Up_TaskData", &controllers.TaskDataController{}, "*:TaskData_Up_TaskData_Back")
	beego.Router("/TaskData/TaskDataClass_List", &controllers.TaskDataController{}, "*:TaskDataClass_List") // 任务数据分类列表
	beego.Router("/TaskData/List", &controllers.TaskDataController{}, "*:TaskData_List")                    // 任务数据列表
	beego.Router("/TaskData/Add", &controllers.TaskDataController{}, "*:TaskData_Add")                      // 添加任务数据
	beego.Router("/TaskData/AddS", &controllers.TaskDataController{}, "*:TaskData_AddS")                    // 批量添加任务数据
	beego.Router("/TaskData/Up", &controllers.TaskDataController{}, "*:TaskData_Up")                        // 编辑任务数据
	beego.Router("/TaskData/Del", &controllers.TaskDataController{}, "*:TaskData_Del")                      // 删除任务数据
	beego.Router("/TaskData/DelTid", &controllers.TaskDataController{}, "*:TaskData_Del_t_id")              // 根据id删除任务数据

	beego.Router("/TaskData/Export_Data_Excel", &controllers.TaskDataController{}, "*:Export_Data_Excel") // 导出任务数据excel
	beego.Router("/TaskData/Export_Data_PDF", &controllers.TaskDataController{}, "*:Export_Data_PDF")     // 导出任务数据pdf

	// 导出温度
	beego.Router("/TaskData/Temperature_Pdf", &controllers.TaskDataController{}, "*:TaskData_Temperature_Pdf")
	// 导出湿度
	beego.Router("/TaskData/Humidity_Pdf", &controllers.TaskDataController{}, "*:TaskData_Humidity_Pdf")

	// 校验
	beego.Router("/TaskData/Check", &controllers.TaskDataController{}, "*:Check") // 检查数据

	// 公司用户
	beego.Router("/UserTask/List", &controllers.TaskController{}, "*:UserTaskList")              // 公司用户任务列表
	beego.Router("/UserTaskData/List", &controllers.TaskDataController{}, "*:UserTaskData_List") // 公司用户任务数据列表

	beego.Router("/Task/jpg", &controllers.TaskController{}, "*:DeviceData_JPG")            // 任务生成图片
	beego.Router("/Task/JPG/State", &controllers.TaskController{}, "*:DeviceData_JPGState") // 任务 图片生成状态

	// 暂停申请
	beego.Router("/TaskTime/Get", &controllers.TaskController{}, "*:TaskTimeList")              // 任务列表
	beego.Router("/TaskTime/Add", &controllers.TaskController{}, "*:TaskTimeAdd")               // 添加任务
	beego.Router("/TaskTime/End", &controllers.TaskController{}, "*:TaskTimeEnd")               // 编辑任务
	beego.Router("/Task/Auto_fill_deploy", &controllers.TaskController{}, "*:Auto_fill_deploy") // 编辑任务

}
